/*
 * gpio.c
 *
 *  Created on: Feb 29, 2016
 *      Author: gerik
 */

#include <stdint.h>

#include "xgpio.h"

#include "gpio.h"

void initGPIO(XGpio* xGpio, int deviceID, PortType port)
{
	XGpio_Config *configPtr;
	int status;

	configPtr = XGpio_LookupConfig(deviceID);
	status = XGpio_CfgInitialize(xGpio, configPtr, configPtr->BaseAddress);

	XGpio_SetDataDirection(xGpio, 1,
							port == PORT_OUTPUT ? 0 : 0xFFFFFFFF);
}

void writeGPIO(XGpio* xGpio, int data)
{
	XGpio_DiscreteWrite(xGpio, 1, data);
}

uint32_t readGPIO(XGpio* xGpio)
{
	return XGpio_DiscreteRead(xGpio, 1);
}
