/*
 * led.c
 *
 *  Created on: Feb 28, 2016
 *      Author: gkubiak
 */

#include "FreeRTOS.h"
#include "xgpiops.h"

#define LED_MIO 7

static XGpioPs xGpio;

void initLED()
{
	XGpioPs_Config *pxConfigPtr;
	BaseType_t xStatus;

	pxConfigPtr = XGpioPs_LookupConfig( XPAR_XGPIOPS_0_DEVICE_ID );
	xStatus = XGpioPs_CfgInitialize( &xGpio, pxConfigPtr, pxConfigPtr->BaseAddr );
	configASSERT( xStatus == XST_SUCCESS );
	( void ) xStatus; /* Remove compiler warning if configASSERT() is not defined. */

	/* Enable outputs and set low. */
	XGpioPs_SetDirectionPin( &xGpio, LED_MIO, 1);
	XGpioPs_SetOutputEnablePin( &xGpio, LED_MIO, 1);
	XGpioPs_WritePin( &xGpio, LED_MIO, 0x0 );
}

void writeLED(int state)
{
	XGpioPs_WritePin(&xGpio, LED_MIO, state ? 1 : 0);
}
